Opengram

List chats

GET
/api/v1/chats

Authorization

bearerAuth
AuthorizationBearer <token>

Instance secret token

In: header

Query Parameters

cursor?string
limit?integer
Range1 <= value <= 100
archived?string

Filter by archive status

Value in"true" | "false"
tag?string

Filter by tag

agentId?string

Filter by agent ID

query?string

Filter by title substring

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://loading/api/v1/chats"
{
  "data": [
    {
      "id": "string",
      "is_archived": true,
      "title": "string",
      "title_source": "default",
      "tags": [
        "string"
      ],
      "pinned": true,
      "agent_ids": [
        "string"
      ],
      "model_id": "string",
      "last_message_preview": "string",
      "last_message_role": "string",
      "pending_requests_count": 0,
      "last_read_at": "2019-08-24T14:15:22Z",
      "unread_count": 0,
      "notifications_muted": true,
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z",
      "last_message_at": "2019-08-24T14:15:22Z"
    }
  ],
  "cursor": {
    "next": "string",
    "hasMore": true
  }
}
{
  "error": {
    "code": "VALIDATION_ERROR",
    "message": "Invalid request.",
    "details": null
  }
}
{
  "error": {
    "code": "VALIDATION_ERROR",
    "message": "Invalid request.",
    "details": null
  }
}
{
  "error": {
    "code": "VALIDATION_ERROR",
    "message": "Invalid request.",
    "details": null
  }
}
{
  "error": {
    "code": "VALIDATION_ERROR",
    "message": "Invalid request.",
    "details": null
  }
}